if ( $access{'addapps'} && $config{'is_masterHost'} eq "true" ) {
    if ( $config{'is_ldapcache'} eq "true" ) {
        if ($interface eq "tabs" ) {
	    print "<td valign=center align=Center $tb>\n";
        } else {
      	    print "<td valign=top align=Center >\n";
        }
        if ($out_titles eq 1 ) {
	    print "<h3>$text{'index_apps'}</h3>\n";
        }
        if ($interface eq "tabs" ) { print "</td>\n" };
        @olinks = ("cache_addapps.cgi","cache_delapps.cgi","cache_modapps.cgi");
        @otitles = map { /^cache_(\S+).cgi/; $text{$1."_title"} } @olinks;
        @oicons = map { /^cache_(\S+).cgi/; "images/$1.gif"; } @olinks;
        if ($interface eq "tabs" ) {
               &outicons_table;
        } else { 
               &icons_table(\@olinks, \@otitles, \@oicons);
        }
	print "</td>\n";
    }
}
